Pharma & Controlled Substances
Drug Recalls
GET
/v1/pharma/fda/recalls$0.01 per callGet drug recall enforcement actions from openFDA.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
| drugoptional | query | string | |
| classificationoptional | query | string |
Response fields
| Field | Type | Description |
|---|---|---|
| success | boolean | e.g. true |
| query | string | e.g. ibuprofen |
| results | array | |
| results[].recallNumber | string | e.g. D-727-2015 |
| results[].recallingFirm | string | e.g. Attix Pharmaceuticals |
| results[].productDescription | string | e.g. Ibuprofen active pharmaceutical ingredient packaged in varyin… |
| results[].reasonForRecall | string | e.g. Penicillin Cross Contamination: All lots of all products repa… |
| results[].classification | string | e.g. Class II |
| results[].status | string | e.g. Terminated |
| results[].voluntaryMandated | string | e.g. Voluntary: Firm initiated |
| results[].distributionPattern | string | e.g. Nationwide to compounding pharmacies and research organizations. |
| results[].recallInitiationDate | string | e.g. 20141114 |
| results[].centerClassificationDate | string | e.g. 20150420 |
| results[].city | string | e.g. Toronto |
| results[].state | string | e.g. |
| results[].country | string | e.g. Canada |
| totalResults | number | e.g. 68 |
| limit | number | e.g. 10 |
| offset | number | e.g. 0 |
| dataSource | object | |
| dataSource.name | string | e.g. openFDA Drug Recall Enforcement Reports |
| dataSource.apiUrl | string | e.g. https://api.fda.gov/drug/enforcement.json?search=(product_des… |
| meta | object | |
| meta.dataSource | object | |
| meta.dataSource.name | string | e.g. openFDA Drug Recall Enforcement Reports |
| meta.dataSource.provenance | string | e.g. live |
Fields are read from a real response captured 2026-11-04, shortened. Optional fields may be absent in other responses.
Errors
- 400 invalid request
- 401 missing or bad key
- 403 not in your plan
- 429 rate limited, see Retry-After
- 402 payment required
- 5xx retry with backoff
Error bodies and codes are described in Error codes and troubleshooting.